Перейти к основному содержанию
GET
/
projects
/
{projectId}
/
tasks
List project tasks
curl --request GET \
  --url https://api.youka.io/api/v1/projects/{projectId}/tasks \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "type": "create-karaoke",
    "status": "created",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "error": "<string>"
  }
]

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Параметры пути

projectId
string
обязательно

Ответ

200 - application/json

Project task list

id
string
обязательно
type
enum<string>
обязательно
Доступные опции:
create-karaoke,
sync-lyrics,
stem-separation,
generate-video,
generate-chords,
export-project
status
enum<string>
обязательно
Доступные опции:
created,
queued,
in-progress,
completed,
failed,
cancelled,
timed-out,
finalized
createdAt
string
обязательно
updatedAt
string
обязательно
error
string | null